#!/usr/bin/python

import sys, getopt, feedparser

def usage():
    print "Try 'rss2voice --help' for more information."

def noargument():
	print "Download text from an RSS feed and send it to the standard output."
	print "		-h, 	--help		prints this information"
	print "		-u, 	--url=		the URL for the RSS feed"
	print "		-c		--count=	number of stories you need"
	print "		-t,	--title		output only the title of each story"

def main():
	try:
		opts, args = getopt.getopt(sys.argv[1:], "hu:c:t", ["help", "url=", "count=", "title"])
	except getopt.GetoptError, err:
		print str(err)
		usage()
		sys.exit(2)
		
	url = None
	title = False
	count = 1
	
	for o, a in opts:
		if o in ("-h", "--help"):
			noargument()
			sys.exit()
		elif o in ("-u", "--url"):
			url = a
		elif o in ("-c", "--count"):
			count = int(a)
		elif o in ("-t", "--title"):
			title = True
		else:
			assert False, "invalid option"
	
	feed = feedparser.parse( url )
	feed['feed']['title']
	for i in range(0, count):
		if title:
			print feed['entries'][i]['title']
		else:
			print feed['entries'][i]['title']
			print feed['entries'][i]['description']

if __name__ == "__main__":

	sys.exit(main())